List Pay Codes

Lists pay codes available for a legal entity.
Pay codes represent the allowed pay element types that can be submitted via POST /v1/pay-items/bulk.

Authentication

This endpoint accepts any one of the following token types:

  • Company-scoped access token (OAuth2AuthorizationCode) — obtained by a company manager through the Authorization Code flow or the Refresh Token flow. See Authentication for partners.
  • Company-scoped access token (assertion) (OAuth2CompanyManagerAssertion) — obtained through the urn:ietf:params:oauth:grant-type:jwt-bearer grant for a company manager. See OAuth Assertion.
  • Client credentials access token (OAuth2ClientCredentials) — obtained through the Client Credentials flow or the Refresh Token flow. See Authentication for partners.
  • Customer API token (CustomerAPIToken) — generated by the customer on their Integration Settings page, with the scopes they choose there. See Authorization for customers.

Scopes

Any one of the scopes in a token type's row is enough. all:read and all:write work too.

Token typeCategoryRead only ScopeWrite only Scope (read access implicit)
Company-scoped access tokenManage payroll runs (payroll)View pay items (pay_item:read)Manage pay items (pay_item:write)
Company-scoped access token (assertion)Manage payroll runs (payroll)View pay items (pay_item:read)Manage pay items (pay_item:write)
Client credentials access tokenManage payroll runs (payroll)--
Customer API tokenManage payroll runs (payroll)View pay items (pay_item:read)Manage pay items (pay_item:write)
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
Query Params
Responses

Callback
Language
Credentials
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json